Subject: Re: linux-next: manual merge of the net-next tree with the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 1 Aug 2018 11:13:46 -0600

On Wed, Aug 01, 2018 at 03:33:45PM +1000, Stephen Rothwell wrote:
> Hi Parav,
> 
> On Tue, 31 Jul 2018 21:12:00 +0000 Parav Pandit <[email-masked]> wrote:
> >
> > You might want to consider this compatibility patch in Linux-rdma
> > tree to avoid a merge conflict of smc.
> > 
> > https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git/commit/?h=for-next&id=7aaa1807e698f73094b78f0ef25b1a37a4409a55
> 
> Ok, since commit that is now in the rdma tree, my resolution of the
> original conflicts comes down to dropping all the changes to
> net/smc/smc_core.c net/smc/smc_ib.c that come from the rdma tree and
> adding
> 
> #include <rdma/ib_cache.h>
> 
> to net/smc/smc_ib.c.

Oh, that means I put the compat inline in the wrong header? Sigh.

Jason